/*
 * @Copyright 2010, MechSoft 
 * MechSoft, Mechanical and Software Solutions 
 * 
 * Licensed under the Apache License, Version 2.0 (the 
 * "License"); you may not use this file except in compliance 
 * with the License. You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.defne.hotel.jsf;

import javax.persistence.EntityManager;

import org.defne.jpa.EntityManagerUtil;
import org.defne.service.Message;
import org.defne.service.annotation.Operation;
import org.defne.service.annotation.Service;
import org.defne.utility.exception.DefneException;

@Service
public class OtherPersonService
{
    @Operation
    public static Message addNewPerson(Message iBag) throws DefneException
    {
        EntityManager manager = EntityManagerUtil.getEntityManagerFromBag(iBag);
        
        Person person = new Person();
        person.setName("ali");
        
        manager.persist(person);
        
        return iBag;
    }
}
